# ChangeLog for x11-misc/xscreensaver
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/x11-misc/xscreensaver/ChangeLog,v 1.167 2007/03/02 13:24:23 drac Exp $

  02 Mar 2007; Samuli Suominen <drac@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  Allways install Settings .desktop for enviroments following f.d.o menu spec,
  e.g. xfce-base/xfdesktop and rox-base/xdg-menu.

  24 Feb 2007; nixnut <nixnut@gentoo.org> xscreensaver-5.01-r2.ebuild:
  Stable on ppc wrt bug 167688

  24 Feb 2007; Samuli Suominen <drac@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  Force -j1 to emake for bug 155049.

  21 Feb 2007; Jeroen Roovers <jer@gentoo.org> xscreensaver-5.01-r2.ebuild:
  Stable for HPPA (bug #167688).

  20 Feb 2007; Markus Rothe <corsair@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  Stable on ppc64; bug #167688

  20 Feb 2007; Raúl Porcel <armin76@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  x86 stable wrt bug 167688

  20 Feb 2007; Samuli Suominen <drac@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  Remove USE nls because it's not optional. Thanks to armin76 for pointing it
  out.

  11 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-5.01-r2.ebuild:
  Stable on sparc

  19 Nov 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.24.ebuild, xscreensaver-5.00-r1.ebuild,
  xscreensaver-5.01-r2.ebuild:
  Fix bug #150794 - automake/autoconf deps.

*xscreensaver-5.01-r2 (08 Nov 2006)

  08 Nov 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-5.01-hypertorus.xml.patch,
  -xscreensaver-5.01-r1.ebuild, +xscreensaver-5.01-r2.ebuild:
  Add a patch for hypertorus hack by Thomas S. Howard
  <thoward1120@sbcglobal.net>, see bug #154444.

*xscreensaver-5.01-r1 (28 Oct 2006)

  28 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  -xscreensaver-5.01.ebuild, +xscreensaver-5.01-r1.ebuild:
  Fix bug #152780 - problem installing xscreensaver.

  24 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-5.01.ebuild:
  Fix location for app-defaults, see bug #152250.

  22 Oct 2006; David Shakaryan <omp@gentoo.org> xscreensaver-4.24.ebuild,
  xscreensaver-5.00-r1.ebuild, xscreensaver-5.01.ebuild:
  Use tabs instead of spaces.

  21 Oct 2006; David Shakaryan <omp@gentoo.org> xscreensaver-4.24.ebuild,
  xscreensaver-5.00-r1.ebuild, xscreensaver-5.01.ebuild:
  Remove monolithic X from dependencies.

  21 Oct 2006; Aron Griffis <agriffis@gentoo.org>
  xscreensaver-5.00-r1.ebuild:
  Mark 5.00-r1 stable on ia64

  11 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.24.ebuild:
  Add missing =sys-devel/automake-1.4* to DEPEND, see bug #150794.

*xscreensaver-5.01 (11 Oct 2006)

  11 Oct 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  -files/xscreensaver-4.16-nsfw.patch,
  -files/xscreensaver-4.22-configure.patch,
  -files/xscreensaver-4.22-interaggregate.patch,
  -files/xscreensaver-4.22-nsfw-webcollage.patch,
  -files/xscreensaver-4.22-settings.patch,
  -files/xscreensaver-4.23-app-defaults.patch,
  -files/xscreensaver-4.23-norpm.patch, -files/xscreensaver-4.23-nsfw.patch,
  -files/xscreensaver-4.23-words.patch,
  +files/xscreensaver-5.01-gentoo.patch,
  +files/xscreensaver-5.01-nsfw.patch,
  -files/xscreensaver-blank-screen.patch, -xscreensaver-4.22-r4.ebuild,
  -xscreensaver-4.23-r1.ebuild, +xscreensaver-5.01.ebuild:
  Version bump (bug #148953), cleaned up old versions.

  06 Sep 2006; Diego Pettenò <flameeyes@gentoo.org>
  xscreensaver-5.00-r1.ebuild:
  Add ~x86-fbsd keyword.

  05 Sep 2006; Joshua Kinard <kumba@gentoo.org> xscreensaver-4.24.ebuild:
  Marked stable on mips.

*xscreensaver-5.00-r1 (03 Sep 2006)

  03 Sep 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-5.00-get_float_resource.patch,
  -xscreensaver-5.00.ebuild, +xscreensaver-5.00-r1.ebuild:
  Add patch to read float resources right, patch by Paolo "Shogun" Insogna
  <shogun713@gmail.com>, see bug #143662.

  16 Aug 2006; Jeroen Roovers <jer@gentoo.org> xscreensaver-4.24.ebuild:
  Stable for HPPA (bug #136620).

  21 Jul 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.22-r4.ebuild, xscreensaver-4.23-r1.ebuild,
  xscreensaver-4.24.ebuild, xscreensaver-5.00.ebuild:
  Fixed typo - see bug #141178. Thanks to Ruud Althuizen <ruud@il.fontys.nl>.

  20 Jul 2006; Emanuele Giaquinta <exg@gentoo.org> xscreensaver-5.00.ebuild:
  Remove Kerberos 4 support; if you need Kerberos use sys-auth/pam_krb5.

  12 Jul 2006; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.24.ebuild:
  Mark 4.24 stable on ia64. #136620

  08 Jul 2006; Thomas Cort <tcort@gentoo.org> xscreensaver-4.24.ebuild:
  Stable on alpha wrt Bug #136620.

  19 Jun 2006; Jon Hood <squinky86@gentoo.org> xscreensaver-4.24.ebuild:
  Stable on amd64, #136620.

  11 Jun 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-5.00.ebuild:
  Fixed install of icon, see bug #136290.

  09 Jun 2006; Markus Rothe <corsair@gentoo.org> xscreensaver-4.24.ebuild:
  Stable on ppc64

  06 Jun 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-5.00.ebuild:
  Fixed bug #135549 (package collisions).

*xscreensaver-5.00 (04 Jun 2006)

  04 Jun 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-5.00-gentoo.patch,
  +files/xscreensaver-5.00-nsfw.patch, +xscreensaver-5.00.ebuild:
  Version bump, see bug #135210. This version has changed API, all third party
  screen savers will not work until ported to the new API by upstream.

  24 May 2006; Michael Hanselmann <hansmi@gentoo.org>
  xscreensaver-4.24.ebuild:
  Stable on ppc.

  24 May 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.24.ebuild:
  Stable on sparc

  23 May 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.24.ebuild:
  Stable on x86.

  08 Mar 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.24.ebuild:
  Added missing x11-apps/appres to RDEPEND, see bug #124508.

*xscreensaver-4.24 (12 Feb 2006)

  12 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  -files/xscreensaver-4.14-fortune.patch,
  -files/xscreensaver-4.20-norpm.patch, -files/xscreensaver-4.23-dpms.patch,
  +files/xscreensaver-4.24-app-defaults.patch,
  +files/xscreensaver-4.24-norpm.patch, +files/xscreensaver-4.24-nsfw.patch,
  +files/xscreensaver-4.24-settings.patch,
  +files/xscreensaver-4.24-silent.patch,
  +files/xscreensaver-4.24-words.patch, -files/pam.d/xscreensaver,
  -xscreensaver-4.23-r2.ebuild, +xscreensaver-4.24.ebuild:
  Version bump, 4.24 contains the DPMS fix from 4.23-r2, so 4.23-r2 was removed.

  11 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.23-r2.ebuild:
  Patch fixes the issue, 4.23-r2 goes ~arch.

*xscreensaver-4.23-r2 (11 Feb 2006)

  11 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.23-dpms.patch, +xscreensaver-4.23-r2.ebuild:
  Revision bump to revert changes made to DPMS code that cause some artifacts
  to apear, see bug #113951.

*xscreensaver-4.23-r1 (07 Feb 2006)

  07 Feb 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.23-words.patch, -xscreensaver-4.20.ebuild,
  xscreensaver-4.22-r4.ebuild, -xscreensaver-4.23.ebuild,
  +xscreensaver-4.23-r1.ebuild:
  Fixed webcollage to work - see bug #120999.

  07 Feb 2006; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.23.ebuild:
  Mark 4.23 stable on alpha

  06 Feb 2006; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.23.ebuild:
  Mark 4.23 stable on ia64

  15 Jan 2006; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.23-norpm.patch, -xscreensaver-4.22-r2.ebuild,
  xscreensaver-4.23.ebuild:
  Fix bug #118028 - sandbox violation when rpm is installed. Removed old version.

  03 Jan 2006; Luis Medinas <metalgod@gentoo.org> xscreensaver-4.23.ebuild:
  Stable on amd64.

  03 Jan 2006; Rene Nussbaumer <killerfox@gentoo.org>
  xscreensaver-4.23.ebuild:
  Stable on hppa.

  02 Jan 2006; Michael Hanselmann <hansmi@gentoo.org>
  xscreensaver-4.23.ebuild:
  Stable on ppc.

  30 Dec 2005; Markus Rothe <corsair@gentoo.org> xscreensaver-4.23.ebuild:
  Stable on ppc64

  29 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.23.ebuild:
  Stable on sparc

  28 Dec 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.23.ebuild:
  Fix bug #113681. Stable on x86.

  13 Dec 2005; Donnie Berkholz <spyderous@gentoo.org>;
  xscreensaver-4.23.ebuild:
  Add modular X dependencies.

  19 Nov 2005; Rene Nussbaumer <killerfox@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on hppa.

  02 Nov 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.23.ebuild:
  This time do it right. Added missing autoconf run.

  31 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.23-app-defaults.patch, xscreensaver-4.23.ebuild:
  Fix bug 111033 - modular X issue.

  30 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org> ChangeLog:
  Fixed typo in ChangeLog.

*xscreensaver-4.23 (30 Oct 2005)

  30 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.23-nsfw.patch, +xscreensaver-4.23.ebuild:
  Version bump.

  25 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  +files/xscreensaver-4.22-nsfw-webcollage.patch,
  xscreensaver-4.22-r4.ebuild:
  Fix bug 103267 - remove webcollage when -offensive is in USE.

  17 Oct 2005; <dang@gentoo.org> xscreensaver-4.22-r4.ebuild:
  Marked stable on amd64

  11 Oct 2005; Hardave Riar <hardave@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on mips.

  01 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Fix bug 94016.

  01 Oct 2005; Krzysiek Pawlik <nelchael@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on x86.

  17 Sep 2005; Aron Griffis <agriffis@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Mark 4.22-r4 stable on alpha

  05 Sep 2005; Markus Rothe <corsair@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on ppc64

  02 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on ppc.

  27 Aug 2005; Aron Griffis <agriffis@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  stable on ia64

  26 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Stable on sparc wrt #100298

  23 Aug 2005; Aron Griffis <agriffis@gentoo.org>
  xscreensaver-4.22-r2.ebuild:
  stable on ia64

  12 Aug 2005; Gregorio Guidi <greg_g@gentoo.org>
  xscreensaver-4.22-r4.ebuild:
  Remove old code for KDE integration, not needed anymore.

  08 Aug 2005; Markus Rothe <corsair@gentoo.org>
  xscreensaver-4.22-r2.ebuild:
  Stable on ppc64

*xscreensaver-4.22-r4 (30 Jul 2005)

  30 Jul 2005; Jonathan Smith <smithj@gentoo.org>
  +files/desktop_entries/screensaver-properties.desktop,
  +files/xscreensaver-blank-screen.patch, -xscreensaver-4.22-r3.ebuild,
  +xscreensaver-4.22-r4.ebuild:
  motif USE flag dropped; insecure-savers use flag added, which enables setuid
  root on a few savers for cool effects. stopped debug messages from appearing
  on blank screens for bug #100465; installs gnome configure option correctly;
  fixes head-tail for bug #100589

  27 Jul 2005; Joseph Jezak <josejx@gentoo.org> xscreensaver-4.22-r2.ebuild:
  Marked ppc stable for bug #100298.

  27 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  xscreensaver-4.22-r2.ebuild:
  Stable on hppa.

*xscreensaver-4.22-r3 (26 Jul 2005)

  26 Jul 2005; Jonathan Smith <smithj@gentoo.org>
  -files/xscreensaver-4.14-analogtv_tmp.patch,
  -files/xscreensaver-4.14-icc.patch, -files/xscreensaver-4.21-norpm.patch,
  -files/xscreensaver-4.21-settings.patch, +xscreensaver-4.22-r3.ebuild:
  #100362: dropped gtk USE flag. gtk is now *mandatory* since all non-gtk
  versions are woefully unmaintained and broken. this is still experimental,
  so please don't mark -r3 stable or any such sillyness

  25 Jul 2005; Herbie Hopkins <herbs@gentoo.org>
  xscreensaver-4.22-r2.ebuild:
  Stable on amd64 wrt bug #100298.

  25 Jul 2005; Jonathan Smith <smithj@gentoo.org>
  -xscreensaver-4.20-r1.ebuild, xscreensaver-4.22-r2.ebuild:
  x86 stable. other archs, please read bug #100298 before marking stable

  02 Jul 2005; Jonathan Smith <smithj@gentoo.org> -xscreensaver-4.21.ebuild,
  -xscreensaver-4.22.ebuild, -xscreensaver-4.22-r1.ebuild:
  cleanup of old testing ebuilds

  02 Jul 2005; Hardave Riar <hardave@gentoo.org> xscreensaver-4.20.ebuild:
  Stable on mips

  30 Jun 2005; Jonathan Smith <smithj@gentoo.org>
  xscreensaver-4.22-r2.ebuild:
  fixed the syntax for if use

*xscreensaver-4.22-r2 (30 Jun 2005)

  30 Jun 2005; Jonathan Smith <smithj@gentoo.org>
  +xscreensaver-4.22-r2.ebuild:
  #97253: removed gnome USE flag and added new-login USE

*xscreensaver-4.22-r1 (24 Jun 2005)

  24 Jun 2005; Jonathan Smith <smithj@gentoo.org>
  +xscreensaver-4.22-r1.ebuild:
  removed yelp dependency; norpm patch merged with new configure patch; fixed
  gnome-terminal problem for #94708; fixed default local setting problem for
  #96914; changed hackdir to something more suitable; used new X11 library
  paths; amd64-multilib fixes; more pam fixes; ebuild cleanup; MUCH THANKS to
  Octavio Ruiz <tacvbo@tacvbo.net> for the patches

*xscreensaver-4.22 (23 Jun 2005)

  23 Jun 2005; Jonathan Smith <smithj@gentoo.org>
  -xscreensaver-4.14-r2.ebuild, -xscreensaver-4.15.ebuild,
  -xscreensaver-4.16.ebuild, +xscreensaver-4.22.ebuild:
  ebuild cleanup, version bump for #96894, fixed setuid/pam crap in 4.22 for
  #94570; #93577 and #94739 should also be fixed by the version bump

  23 Jun 2005; Jonathan Smith <smithj@gentoo.org> metadata.xml:
  removed liquidx as maintainer of this package; desktop-misc herd will handle
  it from now on

  17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org>
  xscreensaver-4.20.ebuild:
  Stable on ppc.

  06 Jun 2005; Markus Rothe <corsair@gentoo.org> xscreensaver-4.20.ebuild:
  Stable on ppc64

*xscreensaver-4.21 (27 May 2005)

  27 May 2005; Don Seiler <rizzo@gentoo.org>
  +files/xscreensaver-4.21-norpm.patch,
  +files/xscreensaver-4.21-settings.patch, +xscreensaver-4.21.ebuild:
  Version bump, closes bug #86102.  Thanks to Ryan Finnie and Octavio Ruiz

  27 May 2005; Rene Nussbaumer <killerfox@gentoo.org>
  xscreensaver-4.20.ebuild:
  Stable on hppa

  25 May 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.20.ebuild:
  Stable on sparc

*xscreensaver-4.20-r1 (24 May 2005)

  24 May 2005; Don Seiler <rizzo@gentoo.org> +xscreensaver-4.20-r1.ebuild:
  Using pam.eclass, closes bug #93205.  Thanks flameeyes for the cleanup.

  24 May 2005; Don Seiler <rizzo@gentoo.org> xscreensaver-4.20.ebuild:
  Stable on x86

  03 May 2005; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.20.ebuild:
  stable on ia64

  13 Apr 2005; Simon Stelling <blubb@gentoo.org> xscreensaver-4.20.ebuild:
  stable on amd64 wrt bug 88829

  01 Apr 2005; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.16.ebuild:
  stable on ia64

  21 Mar 2005; Don Seiler <rizzo@gentoo.org> xscreensaver-4.16.ebuild,
  xscreensaver-4.20.ebuild:
  Keywording in ~arm, per vapier's blessing

  24 Feb 2005; Don Seiler <rizzo@gentoo.org> xscreensaver-4.16.ebuild,
  xscreensaver-4.20.ebuild:
  Removing icc support.  Fixes bug #60566

  24 Feb 2005; Don Seiler <rizzo@gentoo.org> xscreensaver-4.20.ebuild:
  Using 'gtk' flag instead of 'gtk2' flag since there isn't a gtk+ version
  choice at hand.

*xscreensaver-4.20 (24 Feb 2005)

  24 Feb 2005; Don Seiler <rizzo@gentoo.org> metadata.xml,
  +files/xscreensaver-4.20-norpm.patch, +xscreensaver-4.20.ebuild:
  Version bump. As of 4.19 GTK1 support has been removed. This closes bug
  #60379. Thank you to my NetNet buddy Ryan Finnie.

  24 Feb 2005; Don Seiler <rizzo@gentoo.org> xscreensaver-4.16.ebuild:
  Fixing dependency so it matches the terms of configure flags. Bug was
  occuring where +gtk -gtk2 -gnome was configuring with gdk-pixbuf but not
  depending on it.

  26 Jan 2005; Michael Sterrett <mr_bones_@gentoo.org>
  xscreensaver-4.16.ebuild:
  revert the KDEDIR change since it causes the install to break

  28 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  17 Dec 2004; Luca Barbato <lu_zero@gentoo.org> xscreensaver-4.16.ebuild:
  Workaround for bug #73022

  16 Dec 2004; Markus Rothe <corsair@gentoo.org> xscreensaver-4.16.ebuild:
  Stable on ppc64

  07 Nov 2004; Tom Martin <slarti@gentoo.org> xscreensaver-4.16.ebuild:
  Stable on amd64.

  05 Nov 2004; Markus Rothe <corsair@gentoo.org> xscreensaver-4.16.ebuild:
  Marked ~ppc64; bug #69450

  09 Oct 2004; Guy Martin <gmsoft@gentoo.org> xscreensaver-4.16.ebuild:
  Marked stable on hppa.

  03 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> xscreensaver-4.16.ebuild:
  Stable on alpha.

  29 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.16.ebuild:
  Stable on sparc

  29 Sep 2004; <pyrania@gentoo.org> xscreensaver-4.16.ebuild:
  Stable on x86. Added icc, nls and kde to IUSE.

  06 Sep 2004; Ciaran McCreesh <ciaranm@gentoo.org>
  xscreensaver-4.14-r2.ebuild, xscreensaver-4.15.ebuild,
  xscreensaver-4.16.ebuild:
  Switch to use epause and ebeep, bug #62950

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  xscreensaver-4.15.ebuild, xscreensaver-4.16.ebuild:
  Masked xscreensaver-4.16.ebuild stable for ppc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  xscreensaver-4.15.ebuild:
  Masked xscreensaver-4.15.ebuild stable for ppc

  26 Jul 2004; Michael Sterrett <mr_bones_@gentoo.org>
  xscreensaver-4.16.ebuild:
  fix use invocation

  24 Jul 2004; Alastair Tse <liquidx@gentoo.org>
  +files/xscreensaver-4.16-nsfw.patch, xscreensaver-4.16.ebuild:
  implemented a "offensive" USE flag to allow users to explicitly
  enable questionable shapes in glsnakes (#46256)

*xscreensaver-4.16 (24 Jul 2004)

  24 Jul 2004; Alastair Tse <liquidx@gentoo.org> +xscreensaver-4.16.ebuild:
  removing icc support because its unmaintained (#42638), version bump (#50936),
  takes care of kerberos bug as well (#43264)

  12 Jul 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  xscreensaver-4.15.ebuild:
  Stable on sparc

  23 Jun 2004; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.14-r2.ebuild,
  xscreensaver-4.15.ebuild:
  QA - fix use invocation, get rid of subshells that break error handling

  14 Jun 2004; <pyrania@gentoo.org> xscreensaver-4.14-r2.ebuild,
  xscreensaver-4.15.ebuild:
  Added kde and nls to IUSE. Stable on x86.

  12 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> xscreensaver-4.15.ebuild:
  Stable on alpha.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.14-r2.ebuild,
  xscreensaver-4.15.ebuild:
  Add inherit eutils

  05 Apr 2004; Chris Aniszczyk <zx@gentoo.org> xscreensaver-4.15.ebuild:
  Marking stable on hppa

*xscreensaver-4.15 (28 Feb 2004)

  28 Feb 2004; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.15.ebuild:
  added mr_bones gtk dep cleanup patch (#42009). new version solves xplanet
  renaming (#42671) (#43101)

*xscreensaver-4.14-r2 (19 Feb 2004)

  19 Feb 2004; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.14-r2.ebuild,
  files/xscreensaver-4.14-analogtv_tmp.patch:
  add patch to remove /tmp/analogtv.size symlink attack (#41253). patch thanks
  to plasmagunman <plasmagunman@users.sourceforge.net>.

  07 Feb 2004; Lars Weiler <pylon@gentoo.org> xscreensaver-4.14-r1.ebuild:
  stable on ppc

  11 Jan 2004; Heinrich Wendel <lanius@gentoo.org>
  xscreensaver-4.05-r3.ebuild, xscreensaver-4.10.ebuild,
  xscreensaver-4.14-r1.ebuild, xscreensaver-4.14.ebuild:
  fixed motif dep

  09 Jan 2004; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.14-r1.ebuild,
  files/xscreensaver-4.14-icc.patch:
  added icc patches contributed by Svein Erik Brostigen
  <svein.brostigen@oracle.com> (bug #36015)

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.14-r1.ebuild:
  stable on alpha

  08 Jan 2004; <gustavoz@gentoo.org> xscreensaver-4.14-r1.ebuild:
  going stable for sparc

  16 Dec 2003; Guy Martin <gmsoft@gentoo.org> xscreensaver-4.14-r1.ebuild:
  Marked stable on hppa.

  24 Nov 2003; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.14-r1.ebuild:
  Stable on alpha and ia64

*xscreensaver-4.14-r1 (24 Nov 2003)

  24 Nov 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.14-r1.ebuild:
  add patch to default fortune-mod to /usr/bin/fortune rather than
  /usr/games/fortune (#34222)

  22 Nov 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.14.ebuild:
  removed gdk-pixbuf dependency if -gtk, cleaned up gdk-pixbuf dependency with
  gnome useflags (#33917).

  20 Nov 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.11.ebuild,
  xscreensaver-4.12.ebuild, xscreensaver-4.13.ebuild,
  xscreensaver-4.14.ebuild:
  cleanup and stable bump

  08 Nov 2003; Todd Sunderlin <todd@gentoo.org> xscreensaver-4.10.ebuild:
  added sparc keyword

*xscreensaver-4.14 (26 Oct 2003)

  26 Oct 2003; Daniel Ahlberg <aliz@gentoo.org xscreensaver-4.14.ebuild:
  Version bump

*xscreensaver-4.13 (12 Sep 2003)

  12 Sep 2003; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.13.ebuild:
  version bump

*xscreensaver-4.12 (28 Aug 2003)

  28 Aug 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.12.ebuild:
  version bump (#26616). solves gcc problems with -pedantic (#23916).

*xscreensaver-4.11 (25 Jun 2003)

  25 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.11.ebuild:
  version bump. includes new hacks. removed klein workaround.

  17 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.10.ebuild:
  kerberos support requires krb4. so we disable kerberos if krb4 isn't present
  (with a warning) (#22937).

  16 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.10.ebuild,
  files/xscreensaver-4.10-klein.c:
  fix gcc 2.95 problems with dos formatted source file. thanks to Mr_Bones
  for tracking down the problem (#22922). Also removed fortune-mod until 
  we find a good useflag for it.

  15 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.10.ebuild:
  bumped 4.10 to x86 stable

  15 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.05-r3.ebuild:
  fixed typo in /usr/X11R6/include

  12 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.09-r1.ebuild,
  xscreensaver-4.10.ebuild:
  should depend on virtual/x11 and kde symlink to configs

  12 Jun 2003; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.09-r1.ebuild, xscreensaver-4.10.ebuild:
  xpm is provided by xfree

  12 Jun 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.09-r1.ebuild,
  xscreensaver-4.10.ebuild:
  remove xpm deps, kde symlink fixes

*xscreensaver-4.10 (29 May 2003)

  29 May 2003; <msterret@gentoo.org> xscreensaver-4.10.ebuild,
  files/xscreensaver-4.10-norpm.patch:
  version bump 

*xscreensaver-4.09-r1 (26 May 2003)

  26 May 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.09-r1.ebuild,
  files/xscreensaver-4.09-norpm.patch:
  fixed deps, disabled rpm and general ebuild cleanups

*xscreensaver-4.09 (17 Mar 2003)

  28 Apr 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.09.ebuild:
  fix motif problems

  17 Mar 2003; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.09.ebuild:
  version bump

*xscreensaver-4.08 (23 Feb 2003)

  27 Feb 2003; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.08.ebuild:
  Mark stable on alpha

  23 Feb 2003; Aron Griffis <agriffis@gentoo.org> xscreensaver-4.08.ebuild files/digest-xscreensaver-4.08 :
  Bump version and add ~alpha to KEYWORDS

*xscreensaver-4.07 (03 Feb 2003)

  03 Feb 2003; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.07.ebuild
  files/digest-xscreensaver-4.07 :

  Version bump.

*xscreensaver-4.06-r2 (26 Oct 2002)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

  01 Dec 2002; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.06-r2.ebuild :

  Moved to stable for x86

  30 Oct 2002; Martin Schlemmer <azarah@gentoo.org> xscreensaver-4.06-r2.ebuild:
  Do not disable xml support specifically, as it then breaks gtk+.

  26 Oct 2002; Maik Schreiber <blizzy@gentoo.org> xscreensaver-4.06-r2.ebuild:
  Remove /usr/share/control-center/capplets/screensaver-properties.desktop.

  26 Oct 2002; Martin Schlemmer <azarah@gentoo.org> xscreensaver-4.06-r2.ebuild:
  Redo the whole thing not to depend on gtk+-2.0 by default, and enable
  --with-gnome theoretically for gnome-1.4.

*xscreensaver-4.06-r1 (26 Oct 2002)

  26 Oct 2002; Martin Schlemmer <azarah@gentoo.org> xscreensaver-4.06-r1.ebuild:
  Change "xml" flag to "xml2".  Remove "gnome" USE flag.  Change "gtk" in USE
  to depend on gtk+2, and also add libglade2.  If gtk+ is not in USE, make it
  depend on gdk-pixbuf.  This should close bug #9619.

*xscreensaver-4.06 (24 Oct 2002)

  24 Oct 2002; Martin Schlemmer <azarah@gentoo.org> xscreensaver-4.06.ebuild:
  Fix the libxml hack to actually work.

  24 Oct 2002; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.06.ebuild,
  files/digest-xscreensaver-4.06: Version bump.

*xscreensaver-4.05-r3 (21 Jul 2002)

  15 Apr 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.05-r3.ebuild:
  fix for xscreensaver for motif only installs. thanks to Jason Howlett
  <howlett@byu.edu> in #18068.

  26 Mar 2003; Alastair Tse <liquidx@gentoo.org> xscreensaver-4.05-r3.ebuild:
  should depend on virtual/motif rather than openmotif

  19 Oct 2002; Calum Selkirk <cselkirk@gentoo.org> xscreensaver-4.05-r3.ebuild:
  Added ppc to KEYWORDS.

  29 Sep 2002; Martin Schlemmer <azarah@gentoo.org> pam.d/xscreensaver: Update
  pam.d file to use system-auth.  Bug #5953.

  21 Jul 2002; Spider <spider@gentoo.org> xscreensaver-4.05-r3.ebuild: Dep
  change solves bug 4743

*xscreensaver-4.05-r3 (07 July 2002)

  07 Jul 2002; phoen][x <phoenix@gentoo.org> xscreensaver-4.05-r3.ebuild,
  files/digest-xscreensaver-4.05-r3: Version bump - old source was not
  available anymore. Added KEYWORDS, LICENSE, SLOT.

*xscreensaver-4.05-r2 (29 Jun 2002)

  29 Jun 2002; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.05-r2.ebuild, files/digest-xscreensaver-4.05-r2, ChangeLog,
  files/pam.d/xscreensaver: Relocated from app-misc to x11-misc.

*xscreensaver-4.05-r2 (29 Jun 2002)

  29 Jun 2002; Martin Schlemmer <azarah@gentoo.org> : Add
  /usr/share/pixmaps/xscreensaver.xpm if gnome in USE ... fixes no icon in
  control-center for gnome2.

*xscreensaver-4.05 (22 Jun 2002)
  22 Jun 2002; Spider <spider@gentoo.org> xscreensaver-4.05-r1.ebuild:
  since I can't find how the .desktop is installed properly, I hacked around
  it with a use gnome () statement.  works.

*xscreensaver-4.05 (11 Jun 2002)

  11 Jun 2002; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.05.ebuild:
  Version bump, which is supposed to fix the GTK2 configure stage errors, as
  reported in bug #3506 by erichey2@attbi.com (kde123)

*xscreensaver-4.04.2-r2 (09 Jun 2002)

  09 Jun 2002; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.04.2-r2.ebuild: There was a typo in the last revision which
  caused GL screenhacks to fail. This closes bug #3479 by phil@lsu.edu
  (Phil Bordelon)

*xscreensaver-4.04.2-r1 (06 Jun 2002)

  06 Jun 2002; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.04.2-r1.ebuild: NLS fixes.  It'll now compile :)

*xscreensaver-4.04.2 (04 Jun 2002)

  04 Jun 2002; Seemant Kulleen <seemant@gentoo.org>
  xscreensaver-4.04.2.ebuild: Version bump.

*xscreensaver-4.02-r3 (02 Jun 2002)

  02 Jun 2002; Martin Schlemmer <azarah@gentoo.org> : Should resolve bugs
  #1800, #3206, #3299. Thanks to A. Lucien Meyers for bringing it to my
  attention, and Ryan Shaw for the fix and related bugs.

*xscreensaver-4.02-r2 (01 June 2002)

  01 June 2002; Martin Schlemmer <azarah@gentoo.org> : Just some general
  cleanups and USE flag additions.

  07 Apr 2002; Dan Armak <danarmak@gentoo.org> : removed obsolete kde-env
  dep, fixes bug #1581.

*xscreensaver-4.02-r1 (29 May 2002)

  29 May 2002; Spider <spider@gentoo.org> xscreensaver-4.02-r1.ebuild:
  finally solved a xml include bug .

*xscreensaver-4.02 (19 Mar 2002)

  19 Mar 2002; Seemant Kulleen <seemant@gentoo.org> xscreensaver-4.0.2.ebuild:
  Copied over the 4.01-r1 ebuild to bump version.

*screensaver-4.01-r1 (04 Mar 2002)

  04 Mar 2002; M.Schlemmer <azarah@gentoo.org> xscreensaver-4.01-r1,
  files/pam.d/xscreensaver: Updated the pam support a bit to use the shadow
  passwords Gentoo use by default.

*xscreensaver-4.01-r1 (03 Mar 2002)

  03 Mar 2002; Arcady Genkin <agenkin@thpoon.com> xscreensaver-4.01-r1:
  Fixed xscreensaver's complaint about missing /etc/pam.d entry.

*xscreensaver-4.01 (26 Feb 2002)
